import IHiResTimerCounter from './iHiResTimerCounter';
import { TimerEventInterval } from './hiResTimerEnums';
import TimeSpan from './timespan';
import { Signal } from '@mezzy/signals';
export declare class HiResTimer {
    constructor(counter: IHiResTimerCounter, isStartTimer?: boolean, eventInterval?: TimerEventInterval);
    static timerDefault: HiResTimer;
    readonly counter: IHiResTimerCounter;
    private _counter;
    eventInterval: TimerEventInterval;
    private _eventInterval;
    private _start;
    private _adjustment;
    private _intervalReference;
    private _isPaused;
    private _elapsedAtStop;
    private _initialize;
    intervalPassed: Signal<TimeSpan>;
    start(): void;
    private _stop;
    pause(): void;
    stop(): void;
    readonly isRunning: boolean;
    private _isRunning;
    readonly elapsedTicks: number;
    readonly elapsedMicroseconds: number;
    readonly elapsedMilliseconds: number;
    readonly elapsedSeconds: number;
    readonly elapsedMinutes: number;
    readonly elapsedHours: number;
    readonly profileElapsed: number;
    private _profileElapsedPrevious;
}
export default HiResTimer;
